Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ arm64 ], all versions are unstable: [ 2022.3, 2022.4, 2023_rc1 ]
  • 9999
    • MissingUseDepDefault
      BDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • MissingUseDepDefault
      RDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
  • 2023.9999
    • MissingUseDepDefault
      BDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • MissingUseDepDefault
      RDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
  • 2023_rc1
    • MissingUseDepDefault
      BDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • MissingUseDepDefault
      RDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • StableRequest
      slot(0) no change in 37 days for unstable keywords: [ ~amd64, ~x86 ]
  • 2022.9999
    • MissingUseDepDefault
      BDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • MissingUseDepDefault
      RDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
  • 2022.4
    • MissingUseDepDefault
      BDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • MissingUseDepDefault
      RDEPEND=">=dev-cpp/muParser-2.3.4:=[-wchar]": USE flag 'wchar' missing from package: [ dev-cpp/muParser-2.3.4-r1 ]
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2023_rc1
  • 2022.3
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2022.4, 2023_rc1
  • 2021.9999
  • 2021.6
    • LaggingStable
      slot(0), stabled arch: [ amd64 ], lagging: [ ~arm, ~x86 ]
  • 2021.5
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2021.6
  • 2021.3-r1
  • 2020.7
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2021.3-r1, 2021.5, 2021.6
  • 2020.4-r1
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2021.3-r1
  • 2019.6-r2
    • MissingInherits
      python-utils-r1: missing inherit usage: 'EPYTHON', line 146
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2020.4-r1, 2020.7, 2021.3-r1, 2021.5, 2021.6
  • 2019.6-r1
    • MissingInherits
      python-utils-r1: missing inherit usage: 'EPYTHON', line 144
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2020.4-r1, 2021.3-r1
  • 2018.8-r1
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2019.6-r1, 2020.4-r1, 2021.3-r1

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.